Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.interaction.navigation.page
Enum Transition.StyleEnum

    java.lang.Object
      java.lang.Enum<Transition.StyleEnum>
          org.pdfclown.documents.interaction.navigation.page.Transition.StyleEnum

All Implemented Interfaces:
  Serializable, Comparable<Transition.StyleEnum>

Enclosing class:
  Transition

    public static enum Transition.StyleEnum

extends Enum<Transition.StyleEnum>

Transition style [PDF:1.6:8.3.3].

Enum Constant Summary
`Blinds` Multiple lines sweep across the screen, revealing the page.
`Box` A rectangular box sweeps between the edges of the page and the center.
`Cover` The page slides on to the screen, covering the old one.
`Dissolve` The old page dissolves gradually.
`Fade` The new page reveals gradually.
`Fly` Changes are flown across the screen.
`Glitter` The old page dissolves gradually sweeping across the page in a wide band moving from one side of the screen to the other.
`Push` The page slides in, pushing away the old one.
`Replace` No transition.
`Split` Two lines sweep across the screen, revealing the page.
`Uncover` The old page slides off the screen, uncovering the new one.
`Wipe` A single line sweeps across the screen from one edge to the other.

Method Summary
`static Transition.StyleEnum` | `get(PdfName value)` Gets the style corresponding to the given value.
`PdfName` | `getCode()`
`static Transition.StyleEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Transition.StyleEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Split

    public static final Transition.StyleEnum Split

  Two lines sweep across the screen, revealing the page.

### Blinds

    public static final Transition.StyleEnum Blinds

  Multiple lines sweep across the screen, revealing the page.

### Box

    public static final Transition.StyleEnum Box

  A rectangular box sweeps between the edges of the page and the center.

### Wipe

    public static final Transition.StyleEnum Wipe

  A single line sweeps across the screen from one edge to the other.

### Dissolve

    public static final Transition.StyleEnum Dissolve

  The old page dissolves gradually.

### Glitter

    public static final Transition.StyleEnum Glitter

  The old page dissolves gradually sweeping across the page in a wide band moving from one side of the screen to the other.

### Replace

    public static final Transition.StyleEnum Replace

  No transition.

### Fly

    @PDF(value=PDF15)
    public static final Transition.StyleEnum Fly

  Changes are flown across the screen.

### Push

    @PDF(value=PDF15)
    public static final Transition.StyleEnum Push

  The page slides in, pushing away the old one.

### Cover

    @PDF(value=PDF15)
    public static final Transition.StyleEnum Cover

  The page slides on to the screen, covering the old one.

### Uncover

    @PDF(value=PDF15)
    public static final Transition.StyleEnum Uncover

  The old page slides off the screen, uncovering the new one.

### Fade

    @PDF(value=PDF15)
    public static final Transition.StyleEnum Fade

  The new page reveals gradually.

Method Detail

### values

    public static Transition.StyleEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Transition.StyleEnum c : Transition.StyleEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Transition.StyleEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### get

    public static Transition.StyleEnum get(PdfName value)

  Gets the style corresponding to the given value.

### getCode

    public PdfName getCode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.